API ReferenceAgents
Get an agent
Settings, channels, status and schedule. Settings that can only be changed in the app are listed by key in setInApp, without their values.
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "LinkedIn Ghostwriter — Brewhaus", "templateId": "linkedin-ghostwriter", "templateName": "LinkedIn Ghostwriter", "kind": "content", "status": "ACTIVE", "pausedReason": "CHANNEL_REMOVED", "channelIds": [ "string" ], "preset": "carousel", "config": {}, "setInApp": [ "string" ], "schedule": { "cadence": "weekly", "label": "Once a week" }, "tags": [ "string" ], "createdAt": "string", "updatedAt": "string", "appUrl": "string"}Empty